## net.i2p.sam
Class SAMStreamSession.DisconnectListener

    java.lang.Object
      net.i2p.sam.SAMStreamSession.DisconnectListener

All Implemented Interfaces:
  I2PSocketManager.DisconnectListener

Enclosing class:
  SAMStreamSession

    protected class SAMStreamSession.DisconnectListener

extends Object
implements I2PSocketManager.DisconnectListener

Constructor Summary
`protected` `SAMStreamSession.DisconnectListener()`

Method Summary
`void` `sessionDisconnected()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAMStreamSession.DisconnectListener

    protected SAMStreamSession.DisconnectListener()

Method Detail

### sessionDisconnected

    public void sessionDisconnected()

  Specified by:
    `sessionDisconnected` in interface `I2PSocketManager.DisconnectListener`